//--------------------------------------------------------------
// Erzeugt sämtliche Hilfedateien in den Verzeichnissen
// /help/de_DE>/* und /help/en_US/*
//
// Copyright (c) area7/Christof Schulze  2009
//--------------------------------------------------------------
  lines(0);
  mode(-1);    //force silent execution

  CurrentDirectory = get_absolute_file_path('buildallhelp.sce');
  chdir(CurrentDirectory);
  
  try   
    sciversion = getversion('scilab');
  catch  
    error(gettext('Scilab 5.0 or more is required.'));  
  end;
  warning('Function ''buildallhelp.sce'' is deprecated');
  abort;
  
  exec(CurrentDirectory + 'buildhelp.sci', -1);
  
deDirectory = pathconvert(CurrentDirectory +'de_DE/');
engDirectory = pathconvert(CurrentDirectory +'en_US/');

myHelp = [pathconvert(CurrentDirectory +'de_DE/geometrie'), 'Scilib-GEO Geometrie', 'de_DE';
          //pathconvert(CurrentDirectory +'de_DE/phys'), 'Scilib-GEO phys', 'de_DE', 'de_DE';
          //pathconvert(CurrentDirectory +'de_DE/util'), 'Scilib-GEO util', 'de_DE', 'de_DE';
          //pathconvert(CurrentDirectory +'de_DE/gps'), 'Scilib-GEO GPS', 'de_DE', 'de_DE';
     //     pathconvert(CurrentDirectory +'en_US/geometrie'), 'Scilib-GEO Geometrie', 'en_US', 'de_DE';
     //     pathconvert(CurrentDirectory +'en_US/phys'), 'Scilib-GEO phys', 'en_US', 'de_DE';
     //     pathconvert(CurrentDirectory +'en_US/util'), 'Scilib-GEO util', 'en_US', 'de_DE';
     //     pathconvert(CurrentDirectory +'en_US/gps'), 'Scilib-GEO GPS', 'en_US', 'de_DE'

];


mprintf("       - Creation of PDF-Manual\n");
//xmltopdf(myHelp(1,1), myHelp(1,2), myHelp(1,3), myHelp(1,4))
//tbx_build_help(myHelp(1,2), myHelp(1,1));
xmltojar(myHelp(1,1), myHelp(1,2), myHelp(1,3));

// erzeugen der Hilfe
// (deutsch)
//chdir(deDirectory);
//for i=1:size(Directories,2) do
  //if isdir(Directories(i)) then
   //myDir(i) = pathconvert(deDirectory + Directories(i));
    //mtitle(i) = 'Scilib-GEO '+Directories(i);
   // mprintf("       - Creation of <help/de/%s>\n", Directories(i));
    //lang(i) = [lang(i), 'de_DE']
//    xmltohtml(myDir, mtitle, 'all', 'fr','en'); //, 'html.xsl', 'all');
    //chdir(deDirectory);
  //end
//end
//xmltopdf(myDir, mtitle, 'de_DE', 'de_DE');

//if getlanguage() == 'de_DE' then
  add_help_chapter("Scilib-GEO",my_module_path+"/jar");

//elseif getlanguage() == 'en_EN' then
//  add_help_chapter(my_chinese_help_title,my_module_path+"/jar");
//else
//  add_help_chapter(my_english_help_title,my_module_path+"/jar");
//end

chdir(CurrentDirectory);

// creates the help files (english)
chdir(engDirectory);
//for i=1:size(Directories,2) do
//  if isdir(Directories(i)) then
//    myDir = engDirectory + Directories(i);
//    mtitle = 'Scilib-GEO '+Directories(i);
//    mprintf("       - Creation of <help/eng/%s>\n", Directories(i));
//    chdir(Directories(i));
//    my_english_xsl_file   =  pathconvert(SCI+'/modules/helptools/help_eng.xsl',%f,%f)
//    //add_help_chapter(mtitle, myDir);                 //add help chapter
//    xmltohtml(myDir, mtitle, my_english_xsl_file, 'all', 'en','de'); //, 'html.xsl', 'all');
//    chdir(engDirectory);
//  end
//end
chdir(CurrentDirectory);

//clear the variable stack
clear buildhelp CurrentDirectory create_Master_Help title2category text2html // mtitle  Directories i add_help_chapter xmltohtml deDirectory engDirectory myDir; 

